Legacy Mode

Neu bei Joomla? Allgemeine Fragen über Joomla!

Moderator: Sisko1990

Forum rules
Forumregeln
Locked
tafelknipser
Joomla! Apprentice
Joomla! Apprentice
Posts: 10
Joined: Sat Jan 31, 2009 9:12 am

Legacy Mode

Post by tafelknipser » Tue Feb 03, 2009 12:37 pm

Hallo zusammen,
ich hatte im Frühjahr 2008 meinen ersten Kontakt zu Joomla. Da war gerade Joomla 1.5. erschienen und in diversen Unterlagen habe ich herausgefunden, dass auch Module / Komponenten, die für 1.0 erstellt wurden, auch im Legacy Modus in 1.5. verwendet werden können. Also habe ich eine Anwendung im Legacy Mode erstellt (http://www.weinstadt-tafel.de), läuft m.E. auch ganz gut. Nun stelle ich mir die Frage, wie komme ich von diesem Legacy Mode in die reine 1.5.er Welt. Geht dies, indem ich einfach die "alten" Extensions stilllege und durch neue sukzessive ersetze? Muß dann die Anwendung trotzdem im Legacy-Mode weitergefahren werde, selbst, wenn nur "reinrassige" 1.5er Extensions angewendet werden? Bin für Eure Antwort dankbar
Gruß Horst

 
User avatar
ghosty
Joomla! Ace
Joomla! Ace
Posts: 1160
Joined: Fri Aug 19, 2005 7:42 am

Re: Legacy Mode

Post by ghosty » Tue Feb 03, 2009 1:12 pm

Hallo Horst,

wenn Du "reinrassige" Erweiterungen Installiert hast dann braucht es den Legacy Modus nicht mehr, zum Thema wie man eine Erweiterunge Legacy Frei bekommt hat Andrew Eddie mal ein 3 teiliges tut geschrieben welches in Englisch auf www.theartofjoomla.com zu finden ist... Falls Du dem Englischen nicht so mächtig bist findest Du eine übersetzung davon auf http://tipps.joomla.ch/

Es ist nicht so das "Alle" Erweiterungen welche für Joomla! 1.0 Entwicklet wurden auch in Joomla! 1.5 Legacy Modus laufen, woran das liegt kann ich Dir nicht genau sagen, aber es gibt sie...

Gruess

Pete
Pete Coutts / ghosty · · GMT +1
---------------------------------

User avatar
dietmarh
Joomla! Guru
Joomla! Guru
Posts: 703
Joined: Sun Dec 16, 2007 2:24 pm

Re: Legacy Mode

Post by dietmarh » Tue Feb 03, 2009 2:06 pm

ghosty wrote:Es ist nicht so das "Alle" Erweiterungen welche für Joomla! 1.0 Entwicklet wurden auch in Joomla! 1.5 Legacy Modus laufen, woran das liegt kann ich Dir nicht genau sagen, aber es gibt sie...
Das liegt einfach daran, daß sie undokumentierte (was bei den miserabel dokumentierten 1.0 nicht schwer war) Systemaufrufe oder Variablen nutzen, die vom Legacy Mode nicht nachgebildet werden. Die bekommen logischerweise von diesen Aufrufen keine, keine vernünftige oder sogar falsche Antworten zurück und können demsntsprechend nicht funktionieren.

Wer übrigens immer noch 1.0 Erweiterungen nutzt, muß sich mit dem Gedanken anfreunden, nicht auf die 1.6 upgraden zu können. Die wird nur noch die 1.5 abwärtskompatibel unterstützen. Allerdings werden die Anpassungen der Extensions von 1.5 an 1.6 vermutlich nicht so lange auf sich warten lassen wie jetzt, weil wesentlich weniger Änderungen nötig sein werden.
Dietmar

Deutsches Joomla-Forum für Fortgeschrittene: http://forum.joomla-nafu.de

tafelknipser
Joomla! Apprentice
Joomla! Apprentice
Posts: 10
Joined: Sat Jan 31, 2009 9:12 am

Re: Legacy Mode

Post by tafelknipser » Tue Feb 03, 2009 3:11 pm

"Wer übrigens immer noch 1.0 Erweiterungen nutzt, muß sich mit dem Gedanken anfreunden, nicht auf die 1.6 upgraden zu können. Die wird nur noch die 1.5 abwärtskompatibel unterstützen. Allerdings werden die Anpassungen der Extensions von 1.5 an 1.6 vermutlich nicht so lange auf sich warten lassen wie jetzt, weil wesentlich weniger Änderungen nötig sein werden."

das bedeutet doch, es geht kein Weg daran vorbei, die 1.0 - Erweiterungen durch 1.5 - Erweiterungen zu ersetzen. Z.B. habe ich die Gallery "Expose" in meiner Website eingebaut - die lief vor einem Jahr nur unter 1.0 - (wie es heute ist, weiß ich nicht), die müßte ich dann durch eine 1.5-er Gallery ersetzen. Ist doch so?
Gruß Horst

***** Manual signatures are NOT allowed *****_____

User avatar
dietmarh
Joomla! Guru
Joomla! Guru
Posts: 703
Joined: Sun Dec 16, 2007 2:24 pm

Re: Legacy Mode

Post by dietmarh » Tue Feb 03, 2009 6:28 pm

So ist es. 1.0 Erweiterungen werden in der 1.6 nicht mehr unterstützt, nur noch 1.5er.

Vielleicht machen ja auch ein paar alte, aber wertvolle Teile gleich den Sprung von der 1.0 zur 1.6. Vom Arbeitsaufwand her ist das vermutlich kein großer Unterschied.
Dietmar

Deutsches Joomla-Forum für Fortgeschrittene: http://forum.joomla-nafu.de

 

Locked

Return to “Allgemeine Fragen”